/**
 * Handler for checking if it's necessary to generate a server or anonymous access token.
 */
export declare function handleBeforeAuth({ configuration, apolloReq }: {
    configuration: any;
    apolloReq: any;
}): Promise<any>;
/**
 * The handler that generates an access token for the user if all three conditions are met:
 *  - the customer is not already logged in;
 *  - the customer performed one of the user-specific operations;
 *  - response from the commercetools doesn't contain any errors, meaning that the given credentials are valid;
 */
export declare function handleAfterAuth({ apolloReq, response, configuration }: {
    apolloReq: any;
    response: any;
    configuration: any;
}): Promise<any>;
//# sourceMappingURL=authLinks.d.ts.map